#!/bin/bash
set -e

# Use this script to automatically install and upgrade the necessary Python dependencies of SECLAF using pip.
# * Root mode: use "sudo -H ./install_dependencies" to install these dependencies for all users.
# * User mode: use "./install_dependencies --user" to install these dependencies in your local home directory.
# (Apart from these you may need additional non-Python packages, e.g. GPU drivers, CUDA and cudnn, which you may have to install manually.)

p="pip install --upgrade $@"
$p numpy scipy tensorflow-gpu scikit-learn matplotlib

# do we have pip3?
set +e
pip3 --version
pip3_rc=$?
set -e

if [[ $pip3_rc == 0 ]]; then
	# OK, we have pip3 as well
	p="pip3 install --upgrade $@"
	$p numpy scipy tensorflow-gpu scikit-learn matplotlib
fi
